Loading...
Searching...
No Matches
PurpleDebugUiOps Struct Reference

Debug UI operations. More...

`#include <debug.h>`

## Data Fields

void(* | print )(PurpleDebugLevel level, const char *category, const char *arg_s)
gboolean(* | is_enabled )(PurpleDebugLevel level, const char *category)
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Debug UI operations.

Definition at line 49 of file debug.h.

## Field Documentation

## _purple_reserved1

void(* PurpleDebugUiOps::_purple_reserved1) (void)

Definition at line 56 of file debug.h.

## _purple_reserved2

void(* PurpleDebugUiOps::_purple_reserved2) (void)

Definition at line 57 of file debug.h.

## _purple_reserved3

void(* PurpleDebugUiOps::_purple_reserved3) (void)

Definition at line 58 of file debug.h.

## _purple_reserved4

void(* PurpleDebugUiOps::_purple_reserved4) (void)

Definition at line 59 of file debug.h.

## is_enabled

gboolean(* PurpleDebugUiOps::is_enabled) (PurpleDebugLevel level, const char *category)

Definition at line 53 of file debug.h.

## print

void(* PurpleDebugUiOps::print) (PurpleDebugLevel level, const char *category, const char *arg_s)

Definition at line 51 of file debug.h.

The documentation for this struct was generated from the following file:

- debug.h